## lxc 5.0.3

=== meson_options.txt ===
# -*- mode: meson -*-

# Main options
# was --cgroup-pattern in autotools
option('cgroup-pattern', type: 'string', value: '',
       description: 'CGroup pattern')

# was --coverity-build in autotools
option('coverity-build', type: 'boolean', value: 'true',
       description: 'build for coverity')

# was --{disable,enable}-examples in autotools
option('examples', type: 'boolean', value: 'true',
       description: 'build and install examples')

# was --init-script in autotools
option('init-script', type : 'array',
       choices : ['systemd', 'sysvinit', 'upstart'], value : ['systemd'],
       description : 'init script')

# was --systemd-unidir in autotools
# If set to "", the value is taken from the running systemd instance.
option('systemd-unitdir', type : 'string', value: '',
       description : 'systemd system unit directory')

# was --{disable,enable}-liburing in autotools
option('io-uring-event-loop', type: 'boolean', value: 'false',
       description: 'Enable io-uring based event loop')

option('sd-bus', type: 'feature', value: 'auto',
       description: 'Enable linking against sd-bus')

# was --{disable,enable}-doc in autotools
option('man', type: 'boolean', value: 'true',
       description: 'build and install manpages')

# was --{disable,enable}-pam in autotools
option('pam-cgroup', type: 'boolean', value: 'false',
       description: 'build and install the pam cgroup module')

# was --{disable,enable}-tools in autotools
option('tools', type: 'boolean', value: 'true',
       description: 'build and install tools')

# was --{disable,enable}-commands in autotools
option('commands', type: 'boolean', value: 'true',
       description: 'build and install commands')

# was --{disable,enable}-capabilities in autotools
option('capabilities', type: 'boolean', value: 'true',
       description: 'use capabilities')

# was --{disable,enable}-seccomp in autotools
option('seccomp', type: 'boolean', value: 'true',
       description: 'use seccomp')

# was --{disable,enable}-apparmor in autotools
option('apparmor', type: 'boolean', value: 'true',
       description: 'use apparmor')

# was --{disable,enable}-openssl in autotools
option('openssl', type: 'boolean', value: 'true',
       description: 'use openssl')

# was --{disable,enable}-selinux in autotools
option('selinux', type: 'boolean', value: 'true',
       description: 'use selinux')

# was --{disable,enable}-tests in autotools
option('tests', type: 'boolean', value: 'false',
       description: 'build and install tests')

# Paths
# was --apparmor-cache-dir in autotools
option('apparmor-cache-path', type: 'string', value: 'cache/lxc/apparmor',
       description: 'AppArmor cache directory')

# was --with-config-path in autotools
option('data-path', type: 'string', value: 'lib/lxc',
       description: 'Container storage directory')

# was --with-doc-dir in autotools
option('doc-path', type: 'string', value: 'doc/lxc',
       description: 'Documentation directory')

# was --with-global-conf in autotools
option('global-config-path', type: 'string', value: 'lxc',
       description: 'Global configuration directory')

# was --log-path in autotools
option('log-path', type: 'string', value: 'log/lxc',
       description: 'Loging directory')

# was --with-rootfs-path in autotools
option('rootfs-mount-path', type: 'string', value: 'lxc/rootfs',
       description: 'Container rootfs mount directory')

# was --with-runtime-path in autotools
option('runtime-path', type: 'string', value: '/run',
       description: 'Main runtime directory')

# was --with-usernic-conf in autotools
option('usernet-config-path', type: 'string', value: 'lxc/lxc-usernet',
       description: 'User network configuration file path')

# was --with-usernic-db in autotools
option('usernet-db-path', type: 'string', value: 'lxc/nics',
       description: 'User network database file path')

option('oss-fuzz', type : 'boolean', value : 'false',
       description : 'build against oss-fuzz')

# was --{disable,enable}-thread-safety in autotools
option('thread-safety', type : 'boolean', value : 'true',
       description : 'whether the build fails when thread-safe logging cannot be guaranteed')

# was --{disable,enable}-memfd-rexec in autotools
option('memfd-rexec', type : 'boolean', value : 'true',
       description : 'whether to rexec the lxc-attach binary when attaching to a container')

option('distrosysconfdir', type : 'string', value: '',
       description: 'relative path to sysconfdir for distro default configuration')

=== debian/changelog ===
lxc (1:5.0.3-2ubuntu7) noble; urgency=medium

  * Fixup typo in Depends field in time64_t transition

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Apr 2024 23:07:01 +0200

lxc (1:5.0.3-2ubuntu6) noble; urgency=medium

  * Manually apply the changes from 1:5.0.3-2.1 in Debian (the renaming for
    the 64-bit time_t transition) which somehow never got merged into the
    Ubuntu packaging.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 17 Apr 2024 15:06:46 +1200

lxc (1:5.0.3-2ubuntu5) noble; urgency=medium

  * Temporarily skip some buggy tests (LP: #2059550)
    - debian/tests/exercise: skip "lxc-test-unpriv" test (attempt #2)

 -- Alexander Mikhalitsyn <aleksandr.mikhalitsyn@canonical.com>  Wed, 10 Apr 2024 17:23:26 +0200

lxc (1:5.0.3-2ubuntu4) noble; urgency=medium

  * Temporarily skip some buggy tests (LP: #2059550)
    - d/tests/control: remove "unprivileged-containers" autopkgtest
    - debian/tests/exercise: skip "lxc-test-unpriv" test
  * debian/rules
    - apply Ubuntu-specific patches in override_dh_auto_configure
      step instead of override_dh_clean. Otherwise, debuild fails
      to build source package if run from Ubuntu.

 -- Alexander Mikhalitsyn <aleksandr.mikhalitsyn@canonical.com>  Tue, 09 Apr 2024 20:37:44 +0200

lxc (1:5.0.3-2ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:01:40 +0000

lxc (1:5.0.3-2ubuntu2) noble; urgency=medium

  * Merge with unrelated Debian packaging, remaining changes:
    - debian/control: Add transitional packages
      This is to allow for upgrades from 23.10 to 24.04.
      Those changes can go away once 24.10 opens.
  * The changes below are those that are set to be included in the next
    Debian upload.

  [ Aleksandr Mikhalitsyn ]
  * debian/tests: Addition of the "no-devel" test
  * debian/tests/unprivileged-containers: Fix and make work on Ubuntu

  [ Mathias Gibbens ]
  * d/control:
    - Update Build-Depends from systemd -> systemd-dev (Closes: #1060614)
    - Update Build-Depends from pkg-config -> pkgconf
  * Cherry-pick upstream fixes for d/tests/test-usernic
  * Update years in d/copyright

  [ Michael Biebl ]
  * Install PAM modules into /usr. (Closes: #1061490)
  * Drop Build-Depends on dh-exec, no longer necessary.

  [ Stéphane Graber ]
  * Cherry-pick upstream bugfixes:
    - 0013-cherry-pick-remove-broken-cgroup-tests.patch
    - 0014-cherry-pick-lxc-copy-apparmor.patch
  * Add Ubuntu-specific patch (for now):
    - Handle AppArmor ABI 4 with userns extension
  * debian/rules
    - Add lxc-copy apparmor profile
    - Apply Ubuntu-specific patch

 -- Stéphane Graber <stgraber@stgraber.org>  Thu, 21 Mar 2024 12:54:38 -0400

lxc (1:5.0.3-2ubuntu1) noble; urgency=medium

  [ Aleksandr Mikhalitsyn ]
  * Merge with Debian, remaining changes:
    - debian/control: Add transitional packages
      This is to allow for upgrades from 23.10 to 24.04.
      Those changes can go away once 24.10 opens.
    - debian/patches:
      - 1000-ubuntu-apparmor-userns.patch
        Handles Ubuntu-specific divergance in userns behavior.
      - 1001-test-usernic-fixes.patch
        Remove deprecated logic from usernic test.
    - debian/tests: Addition of the "no-devel" test

 -- Stéphane Graber <stgraber@stgraber.org>  Tue, 13 Feb 2024 10:19:47 -0500

lxc (1:5.0.3-2) unstable; urgency=medium

  * Switch default branch to debian/sid
  * Add criu as a Suggests for bin:lxc (Closes: #947334)
  * Cherry-pick upstream fix for creating ephemeral copies (Closes: #1001713)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 30 Nov 2023 01:04:13 +0000

lxc (1:5.0.3-1) unstable; urgency=medium

  [ Ceppo ]
  * Add Italian debconf translation (Closes: #1050106)

  [ Gioele Barabucci ]
  * d/tests/control: Remove unnecessary dependency on lsb-release

  [ Helmut Grohne ]
  * Fix FTBFS when systemdsystemunitdir changes in systemd.pc (Closes: #1052379)

  [ Mathias Gibbens ]
  * New upstream release
  * Add translator information to d/copyright
  * d/control:
    - Remove liblua5.2-dev from Build-Depends (Closes: #1050519)
    - Remove lsb-base from Depends
  * Add d/clean to fix failing to build twice in a row (Closes: #1046733)

  [ Remus-Gabriel Chelu ]
  * Add Romanian debconf translation (Closes: #1032345)

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 22 Sep 2023 14:53:31 +0000

lxc (1:5.0.1-0ubuntu8) noble; urgency=medium

  * Fix the LXC_DEVEL value to be 0 (LP: #2039873)
    - d/p/0003-meson-Set-DEVEL-flag-post-release.patch was dropped
      as it should not be in the production builds
  * Added autopkgtest to ensure that LXC_DEVEL is always 0
    - debian/tests/no-devel: add "no-devel" autopkgtest script
    - debian/tests/control: declare "no-devel" autopkgtest
  * d/lxc-utils.install: Fixed lib/systemd path (to usr/lib/systemd)

 -- Alexander Mikhalitsyn <aleksandr.mikhalitsyn@canonical.com>  Thu, 18 Jan 2024 16:20:47 +0100

=== debian/control ===
Source: lxc
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
           Evgeni Golov <evgeni@debian.org>,
           Pierre-Elliott Bécue <peb@debian.org>,
           Mathias Gibbens <gibmat@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), bash-completion,
               debhelper-compat (= 13),
               dh-apparmor,
               docbook2x,
               doxygen,
               graphviz,
               libapparmor-dev,
               libcap-dev,
               libgnutls28-dev,
               libpam0g-dev,
               libseccomp-dev [!alpha !ia64 !m68k !sh4 !sparc64],
               libselinux-dev,
               linux-libc-dev,
               meson (>= 0.61),
               pkgconf,
               systemd-dev
Standards-Version: 4.6.2
Homepage: https://linuxcontainers.org/
Vcs-Git: https://salsa.debian.org/lxc-team/lxc.git
Vcs-Browser: https://salsa.debian.org/lxc-team/lxc
Rules-Requires-Root: binary-targets

Package: lxc
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: dnsmasq-base,
         iproute2,
         liblxc-common (= ${binary:Version}),
         nftables | iptables,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: apparmor,
            debootstrap,
            dirmngr,
            gnupg,
            libpam-cgfs,
            lxc-templates,
            lxcfs,
            openssl,
            rsync,
            uidmap,
            wget
Suggests: btrfs-progs, criu, lvm2, python3-lxc
Replaces: lxc1 (<< 2.1.1-0ubuntu2~),
          lxc-utils (<< 1:5.0.3-2ubuntu1~)
Breaks: lxc1 (<< 2.1.1-0ubuntu2~),
        lxc-utils (<< 1:5.0.3-2ubuntu1~)
Description: Linux Containers userspace tools
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package provides the lxc-* tools, which can be used to start a single
 daemon in a container, or to boot an entire "containerized" system, and to
 manage and debug your containers.

Package: lxc-dev
Section: libdevel
Architecture: linux-any
Depends: libcap-dev,
         liblxc1t64 (= ${binary:Version}),
         libseccomp-dev [!alpha !ia64 !m68k !sh4 !sparc64],
         libselinux-dev,
         lxc (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: lxc-dev (<< 2.1.1-0ubuntu2~),
          liblxc-dev (<< 1:5.0.3-2ubuntu1~)
Breaks: lxc-dev (<< 2.1.1-0ubuntu2~),
        liblxc-dev (<< 1:5.0.3-2ubuntu1~)
Description: Linux Containers userspace tools (development)
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package contains the development files.

Package: lxc-tests
Architecture: linux-any
Depends: liblxc1t64 (= ${binary:Version}),
         lxc (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Linux Containers userspace tools (test binaries)
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package contains the test binaries. Those binaries are primarily
 used for autopkgtest and by some developers. They are not meant to be
 installed on regular user systems.

Package: liblxc1t64
Provides: ${t64:Provides}
Replaces: liblxc1
Breaks: liblxc1 (<< ${source:Version})
Section: libs
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: cgroupfs-mount | systemd
Description: Linux Containers userspace tools (library)
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package contains the shared library.

Package: liblxc-common
Section: libs
Architecture: linux-any
Depends: liblxc1t64 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: lxc-common,
          lxc-templates (<< 3.0.0~beta1-0ubuntu1~),
          lxc-utils (<< 1:4.0.0-0ubuntu1~),
          lxc1 (<< 3.0.0~beta2-0ubuntu2~),
          lxc (<< 1:4.0.11-1~)
Breaks: lxc-templates (<< 3.0.0~beta1-0ubuntu1~),
        lxc-utils (<< 1:4.0.0-0ubuntu1~),
        lxc1 (<< 3.0.0~beta2-0ubuntu2~),
        lxc (<< 1:4.0.11-1~),
        apparmor (<< 4.0.0~alpha2-0ubuntu4~)
Description: Linux Containers userspace tools (library)
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package contains the common files for the shared library

Package: libpam-cgfs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpam-runtime,
         ${lxcfs:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: lxc-utils (<< 1:4.0.0-0ubuntu1~)
Breaks: lxc-utils (<< 1:4.0.0-0ubuntu1~)
Conflicts: libpam-cgm
Description: PAM module for managing cgroups for LXC
 LXCFS provides a FUSE based filesystem to improve the LXC experience
 within the containers.
 .
 This provides a Pluggable Authentication Module (PAM) to provide
 logged-in users with a set of cgroups which they can administer.
 This allows for instance unprivileged containers, and session
 management using cgroup process tracking.

Package: lxc1
Architecture: all
Depends: lxc (>= ${source:Version}), ${misc:Depends}
Section: oldlibs
Description: Transitional package - lxc1 -> lxc
 This is a transitional package. It can safely be removed.
 .
 lxc1 is now replaced by lxc.

Package: liblxc-dev
Architecture: all
Depends: lxc-dev (>= ${source:Version}), ${misc:Depends}
Section: oldlibs
Description: Transitional package - liblxc-dev -> lxc-dev
 This is a transitional package. It can safely be removed.
 .
 liblxc-dev is now replaced by lxc-dev.

Package: lxc-utils
Architecture: all
Depends: lxc (>= ${source:Version}), ${misc:Depends}
Section: oldlibs
Description: Transitional package - lxc-utils -> lxc
 This is a transitional package. It can safely be removed.
 .
 lxc-utils is now replaced by lxc.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)

include /usr/share/dpkg/default.mk

%:
	dh ${@} --buildsystem=meson

override_dh_auto_configure:
ifeq ($(DEB_VENDOR),Ubuntu)
	# Apply Ubuntu-specific patches
	patch -p1 < debian/patches.ubuntu/1000-ubuntu-apparmor-userns.patch
endif
	dh_auto_configure -- \
		-Dman=true \
		-Dapparmor=true \
		-Dselinux=true \
		-Dcapabilities=true \
		-Dexamples=true \
		-Dpam-cgroup=true \
		-Dtests=true \
		-Dinit-script=sysvinit,systemd

override_dh_clean:
	dh_clean

override_dh_auto_build:
	dh_auto_build
	# See https://github.com/lxc/lxc/issues/4156
	cd doc/api/ && doxygen

override_dh_auto_install:
	dh_auto_install

	# install pam config
	cp $(CURDIR)/debian/pam-cgfs.config \
		$(CURDIR)/debian/libpam-cgfs/usr/share/pam-configs/cgfs

	# cleanup .la files
	find debian/tmp/ -type f -name \*.la -delete
	find debian/tmp/ -type f -name \*.a -delete

	# move the tests
	mkdir -p debian/lxc-tests/usr/bin
	mv debian/tmp/usr/bin/lxc-test-* debian/lxc-tests/usr/bin/

	# increase limit of inotify listeners
	mkdir -p debian/tmp/etc/sysctl.d
	cp debian/lxc.sysctl debian/tmp/etc/sysctl.d/30-lxc-inotify.conf

	# fix the sysvinit script name
	mv $(CURDIR)/debian/tmp/etc/init.d/lxc-containers \
		$(CURDIR)/debian/tmp/etc/init.d/lxc

	dh_apparmor -p liblxc-common --profile-name=usr.bin.lxc-copy
	dh_apparmor -p liblxc-common --profile-name=usr.bin.lxc-start

override_dh_compress:
	dh_compress -X.cfg

override_dh_fixperms:
	dh_fixperms -Xusr/libexec/lxc/lxc-user-nic

override_dh_installinit:
	dh_installinit -p lxc --onlyscripts --no-stop-on-upgrade --no-start --name lxc
	dh_installinit -p lxc --onlyscripts --no-stop-on-upgrade --no-start --name lxc-net

override_dh_installsystemd:
	dh_installsystemd --no-stop-on-upgrade

override_dh_missing:
	dh_missing --fail-missing

## lxc 6.0.0a

=== debian/changelog ===
lxc (1:6.0.0a-1) unstable; urgency=medium

  * New upstream release 6.0.0a
    Not an alpha release, but rather a minor fix of meson LXC_DEVEL tracker.

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 02 May 2024 15:22:44 +0200

lxc (1:6.0.0-1) unstable; urgency=medium

  [ Aleksandr Mikhalitsyn ]
  * debian/rules: Re-shuffle Ubuntu-specific logic
  * debian/tests: Disable unprivileged tests (not working in autopkgtest)

  [ Pierre-Elliott Bécue ]
  * New upstream release 6.0.0
    Closes: #1041414
  * d/control:
    - Add version for apparmor dependency to cover evolutions with
      https://github.com/lxc/lxc/pull/4295
    - Put lxc-templates as a Suggests and add distrobuilder as a Recommend
  * d/copyright: updated

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 02 May 2024 12:56:34 +0200

lxc (1:5.0.3-3) unstable; urgency=medium

  [ Aleksandr Mikhalitsyn ]
  * debian/tests: Addition of the "no-devel" test
  * debian/tests/unprivileged-containers: Fix and make work on Ubuntu

  [ Mathias Gibbens ]
  * d/control:
    - Update Build-Depends from systemd -> systemd-dev (Closes: #1060614)
    - Update Build-Depends from pkg-config -> pkgconf
  * Cherry-pick upstream fixes for d/tests/test-usernic
  * Update years in d/copyright

  [ Michael Biebl ]
  * Install PAM modules into /usr. (Closes: #1061490)
  * Drop Build-Depends on dh-exec, no longer necessary.

  [ Stéphane Graber ]
  * Cherry-pick upstream bugfixes:
    - 0013-cherry-pick-remove-broken-cgroup-tests.patch
    - 0014-cherry-pick-lxc-copy-apparmor.patch
  * Add Ubuntu-specific patch (for now):
    - Handle AppArmor ABI 4 with userns extension
  * debian/rules
    - Add lxc-copy apparmor profile
    - Apply Ubuntu-specific patch

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 30 Mar 2024 00:45:04 +0000

lxc (1:5.0.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062679

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 10:37:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: lxc
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
+Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Evgeni Golov <evgeni@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>,
            Mathias Gibbens <gibmat@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), bash-completion,
+Build-Depends: bash-completion,
                debhelper-compat (= 13),
                dh-apparmor,
                docbook2x,
@@ -15,6 +14,7 @@
                graphviz,
                libapparmor-dev,
                libcap-dev,
+               libdbus-1-dev,
                libgnutls28-dev,
                libpam0g-dev,
                libseccomp-dev [!alpha !ia64 !m68k !sh4 !sparc64],
@@ -38,22 +38,22 @@
          nftables | iptables,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: apparmor,
+Recommends: apparmor (>= 3.0.10),
             debootstrap,
             dirmngr,
+            distrobuilder,
             gnupg,
             libpam-cgfs,
-            lxc-templates,
             lxcfs,
             openssl,
             rsync,
             uidmap,
             wget
-Suggests: btrfs-progs, criu, lvm2, python3-lxc
-Replaces: lxc1 (<< 2.1.1-0ubuntu2~),
-          lxc-utils (<< 1:5.0.3-2ubuntu1~)
-Breaks: lxc1 (<< 2.1.1-0ubuntu2~),
-        lxc-utils (<< 1:5.0.3-2ubuntu1~)
+Suggests: btrfs-progs,
+          criu,
+          lvm2,
+          lxc-templates,
+          python3-lxc
 Description: Linux Containers userspace tools
  Containers are insulated areas inside a system, which have their own namespace
  for filesystem, network, PID, IPC, CPU and memory allocation and which can be
@@ -68,16 +68,13 @@
 Section: libdevel
 Architecture: linux-any
 Depends: libcap-dev,
+         libdbus-1-dev,
          liblxc1t64 (= ${binary:Version}),
          libseccomp-dev [!alpha !ia64 !m68k !sh4 !sparc64],
          libselinux-dev,
          lxc (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Replaces: lxc-dev (<< 2.1.1-0ubuntu2~),
-          liblxc-dev (<< 1:5.0.3-2ubuntu1~)
-Breaks: lxc-dev (<< 2.1.1-0ubuntu2~),
-        liblxc-dev (<< 1:5.0.3-2ubuntu1~)
 Description: Linux Containers userspace tools (development)
  Containers are insulated areas inside a system, which have their own namespace
  for filesystem, network, PID, IPC, CPU and memory allocation and which can be
@@ -123,16 +120,8 @@
 Section: libs
 Architecture: linux-any
 Depends: liblxc1t64 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Replaces: lxc-common,
-          lxc-templates (<< 3.0.0~beta1-0ubuntu1~),
-          lxc-utils (<< 1:4.0.0-0ubuntu1~),
-          lxc1 (<< 3.0.0~beta2-0ubuntu2~),
-          lxc (<< 1:4.0.11-1~)
-Breaks: lxc-templates (<< 3.0.0~beta1-0ubuntu1~),
-        lxc-utils (<< 1:4.0.0-0ubuntu1~),
-        lxc1 (<< 3.0.0~beta2-0ubuntu2~),
-        lxc (<< 1:4.0.11-1~),
-        apparmor (<< 4.0.0~alpha2-0ubuntu4~)
+Breaks: lxc (<< 1:4.0.11-1~)
+Replaces: lxc (<< 1:4.0.11-1~)
 Description: Linux Containers userspace tools (library)
  Containers are insulated areas inside a system, which have their own namespace
  for filesystem, network, PID, IPC, CPU and memory allocation and which can be
@@ -149,8 +138,6 @@
          ${lxcfs:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
-Replaces: lxc-utils (<< 1:4.0.0-0ubuntu1~)
-Breaks: lxc-utils (<< 1:4.0.0-0ubuntu1~)
 Conflicts: libpam-cgm
 Description: PAM module for managing cgroups for LXC
  LXCFS provides a FUSE based filesystem to improve the LXC experience
@@ -160,30 +147,3 @@
  logged-in users with a set of cgroups which they can administer.
  This allows for instance unprivileged containers, and session
  management using cgroup process tracking.
-
-Package: lxc1
-Architecture: all
-Depends: lxc (>= ${source:Version}), ${misc:Depends}
-Section: oldlibs
-Description: Transitional package - lxc1 -> lxc
- This is a transitional package. It can safely be removed.
- .
- lxc1 is now replaced by lxc.
-
-Package: liblxc-dev
-Architecture: all
-Depends: lxc-dev (>= ${source:Version}), ${misc:Depends}
-Section: oldlibs
-Description: Transitional package - liblxc-dev -> lxc-dev
- This is a transitional package. It can safely be removed.
- .
- liblxc-dev is now replaced by lxc-dev.
-
-Package: lxc-utils
-Architecture: all
-Depends: lxc (>= ${source:Version}), ${misc:Depends}
-Section: oldlibs
-Description: Transitional package - lxc-utils -> lxc
- This is a transitional package. It can safely be removed.
- .
- lxc-utils is now replaced by lxc.

## lxc 6.0.1

=== debian/changelog ===
lxc (1:6.0.1-1deepin1) unstable; urgency=medium

  * revert 64-bit time_t transition patch.

 -- lichenggang <lichenggang@deepin.org>  Fri, 18 Oct 2024 15:22:28 +0800

lxc (1:6.0.1-1) unstable; urgency=medium

  * New upstream release
    - Drop patch #0001, applied upstream
  * Update Standards-Version to 4.7.0 in d/control (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 27 Jun 2024 20:44:45 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                meson (>= 0.61),
                pkgconf,
                systemd-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://linuxcontainers.org/
 Vcs-Git: https://salsa.debian.org/lxc-team/lxc.git
 Vcs-Browser: https://salsa.debian.org/lxc-team/lxc
@@ -69,7 +69,7 @@
 Architecture: linux-any
 Depends: libcap-dev,
          libdbus-1-dev,
-         liblxc1t64 (= ${binary:Version}),
+         liblxc1 (= ${binary:Version}),
          libseccomp-dev [!alpha !ia64 !m68k !sh4 !sparc64],
          libselinux-dev,
          lxc (= ${binary:Version}),
@@ -85,7 +85,7 @@
 
 Package: lxc-tests
 Architecture: linux-any
-Depends: liblxc1t64 (= ${binary:Version}),
+Depends: liblxc1 (= ${binary:Version}),
          lxc (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -99,10 +99,7 @@
  used for autopkgtest and by some developers. They are not meant to be
  installed on regular user systems.
 
-Package: liblxc1t64
-Provides: ${t64:Provides}
-Replaces: liblxc1
-Breaks: liblxc1 (<< ${source:Version})
+Package: liblxc1
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
@@ -119,7 +116,7 @@
 Package: liblxc-common
 Section: libs
 Architecture: linux-any
-Depends: liblxc1t64 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: liblxc1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Breaks: lxc (<< 1:4.0.11-1~)
 Replaces: lxc (<< 1:4.0.11-1~)
 Description: Linux Containers userspace tools (library)

## lxc 6.0.2

=== debian/changelog ===
lxc (1:6.0.2-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/0005-lxc-avoid-null-pointer.patch: Use upstream patch to avoid
      null pointer dereference. (LP: #2081762)
  * Drop Changes:
    - d/rules: remove find/rm of *.a
      [Fixed in 1:6.0.2-1]
    - d/lxc-dev.install: add liblxc.a static lib back to package
      [Fixed in 1:6.0.2-1]

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 25 Nov 2024 20:22:52 +0000

lxc (1:6.0.2-1) unstable; urgency=medium

  [ Mathias Gibbens ]
  * New upstream release

  [ Ryan Harper ]
  * d/rules: remove find/rm of *.a
  * d/lxc-dev.install: add liblxc.a static lib back to package

  [ Serge Hallyn ]
  * meson.buld: add -ffat-lto-objects

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 19 Sep 2024 01:00:11 +0000

lxc (1:6.0.1-1ubuntu2) plucky; urgency=medium

  * d/p/0004-lxc-avoid-null-pointer.patch: Use upstream patch to avoid
    null pointer dereference. (LP: #2081762)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 30 Oct 2024 16:30:22 +0000

lxc (1:6.0.1-1ubuntu1) oracular; urgency=medium

  [ Ryan Harper ]
  * d/rules: remove find/rm of *.a
  * d/lxc-dev.install: add liblxc.a static lib back to package

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 10 Sep 2024 02:36:29 +0000

## lxc 6.0.3

=== debian/changelog ===
lxc (1:6.0.3-1ubuntu1) plucky; urgency=medium

  * d/p/0004-set-container-ttys-env-var.patch: fix setting the
    container_ttys environment variable for container's init process.
    Fixes `lxc-console` without explicitly specified TTY.
    (LP: #2109890)

 -- Roman Azarenko <rocko@ubuntu.com>  Sun, 11 May 2025 01:27:02 +0200

lxc (1:6.0.3-1) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Catalan translation of lxc's debconf messages

  [ Mathias Gibbens ]
  * New upstream release (Closes: #1085241)
    - Drop patch applied upstream

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 19 Dec 2024 23:49:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lxc
 Section: admin
 Priority: optional
-Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Evgeni Golov <evgeni@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>,
@@ -69,7 +70,7 @@
 Architecture: linux-any
 Depends: libcap-dev,
          libdbus-1-dev,
-         liblxc1 (= ${binary:Version}),
+         liblxc1t64 (= ${binary:Version}),
          libseccomp-dev [!alpha !ia64 !m68k !sh4 !sparc64],
          libselinux-dev,
          lxc (= ${binary:Version}),
@@ -85,7 +86,7 @@
 
 Package: lxc-tests
 Architecture: linux-any
-Depends: liblxc1 (= ${binary:Version}),
+Depends: liblxc1t64 (= ${binary:Version}),
          lxc (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -99,7 +100,10 @@
  used for autopkgtest and by some developers. They are not meant to be
  installed on regular user systems.
 
-Package: liblxc1
+Package: liblxc1t64
+Provides: ${t64:Provides}
+Replaces: liblxc1
+Breaks: liblxc1 (<< ${source:Version})
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
@@ -116,7 +120,7 @@
 Package: liblxc-common
 Section: libs
 Architecture: linux-any
-Depends: liblxc1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: liblxc1t64 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Breaks: lxc (<< 1:4.0.11-1~)
 Replaces: lxc (<< 1:4.0.11-1~)
 Description: Linux Containers userspace tools (library)

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,6 @@
 
 	# cleanup .la files
 	find debian/tmp/ -type f -name \*.la -delete
-	find debian/tmp/ -type f -name \*.a -delete
 
 	# move the tests
 	mkdir -p debian/lxc-tests/usr/bin

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://linuxcontainers.org/lxc/downloads/ /downloads/lxc/lxc-([0-9]\.[0-9]\..*)\.tar\.gz

## lxc 6.0.4

=== meson_options.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 # was --init-script in autotools
 option('init-script', type : 'array',
-       choices : ['systemd', 'sysvinit', 'upstart'], value : ['systemd'],
+       choices : ['systemd', 'sysvinit'], value : ['systemd'],
        description : 'init script')
 
 # was --systemd-unidir in autotools
@@ -26,9 +26,6 @@
 # was --{disable,enable}-liburing in autotools
 option('io-uring-event-loop', type: 'boolean', value: 'false',
        description: 'Enable io-uring based event loop')
-
-option('sd-bus', type: 'feature', value: 'auto',
-       description: 'Enable linking against sd-bus')
 
 # was --{disable,enable}-doc in autotools
 option('man', type: 'boolean', value: 'true',
@@ -41,6 +38,9 @@
 # was --{disable,enable}-tools in autotools
 option('tools', type: 'boolean', value: 'true',
        description: 'build and install tools')
+
+option('tools-multicall', type: 'boolean', value: 'false',
+       description: 'build and install busybox style multicall binary')
 
 # was --{disable,enable}-commands in autotools
 option('commands', type: 'boolean', value: 'true',
@@ -120,3 +120,15 @@
 
 option('distrosysconfdir', type : 'string', value: '',
        description: 'relative path to sysconfdir for distro default configuration')
+
+option('dbus', type: 'boolean', value: 'true',
+       description: 'use dbus')
+
+option('specfile', type : 'boolean', value: true,
+       description: 'whether to prepare RPM spec')
+
+option('install-init-files', type : 'boolean', value: true,
+       description: 'whether to install init files for local init (e.g. systemd units)')
+
+option('install-state-dirs', type : 'boolean', value: true,
+       description: 'whether to create state directories on install')

=== debian/changelog ===
lxc (1:6.0.4-4ubuntu1) questing; urgency=medium

  * d/p/0006-set-container-ttys-env-var.patch: fix setting the container_ttys
    environment variable for container's init process. Fixes `lxc-console`
    without explicitly specified TTY. (LP: #2109890)

 -- Roman Azarenko <rocko@ubuntu.com>  Mon, 9 Jun 2025 11:13:53 +0200

lxc (1:6.0.4-4) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Add missing Built-Using to liblxc-common (Closes: #1106803)

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 30 May 2025 12:58:12 +0000

lxc (1:6.0.4-3) unstable; urgency=medium

  * Cherry-pick upstream fix for containers on loong64 (Closes: #1104545)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 22 May 2025 12:53:15 +0000

lxc (1:6.0.4-2) unstable; urgency=medium

  * Cherry-pick upstream fix for regression involving complex hooks, like
    nvidia

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 14 Apr 2025 13:25:54 +0000

lxc (1:6.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 03 Apr 2025 23:14:16 +0000

lxc (1:6.0.3-2) unstable; urgency=medium

  [ Mathias Gibbens ]
  * d/control:
    - No longer Suggest cgroupfs-mount, since it has been removed from the
      archive (Closes: #1099042)
    - Add a Conflicts against lava-lxc-mocker for bin:lxc (spotted by Salsa
      CI "missing-breaks" job)
    - Update minimum version of apparmor
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Drop vestigial ${lxcfs:Depends} use
  * Extend apparmor patch to include two more profiles
  * Update years in d/copyright
  * Cleanup patch names

  [ Nicolas Schier ]
  * d/p.u/1000-ubuntu-apparmor-userns.patch: replace mistyped filename
    lxc-start by lxc-copy (LP: #2080358)
  * Apply AppArmor API and userns patch also on Debian (Closes: #1098521)

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 18 Mar 2025 00:19:26 +0000

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                meson (>= 0.61),
                pkgconf,
                systemd-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://linuxcontainers.org/
 Vcs-Git: https://salsa.debian.org/lxc-team/lxc.git
 Vcs-Browser: https://salsa.debian.org/lxc-team/lxc
@@ -39,7 +39,7 @@
          nftables | iptables,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: apparmor (>= 3.0.10),
+Recommends: apparmor (>= 4.1.0~),
             debootstrap,
             dirmngr,
             distrobuilder,
@@ -55,6 +55,7 @@
           lvm2,
           lxc-templates,
           python3-lxc
+Conflicts: lava-lxc-mocker
 Description: Linux Containers userspace tools
  Containers are insulated areas inside a system, which have their own namespace
  for filesystem, network, PID, IPC, CPU and memory allocation and which can be
@@ -108,7 +109,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: cgroupfs-mount | systemd
+Suggests: systemd
 Description: Linux Containers userspace tools (library)
  Containers are insulated areas inside a system, which have their own namespace
  for filesystem, network, PID, IPC, CPU and memory allocation and which can be
@@ -120,6 +121,7 @@
 Package: liblxc-common
 Section: libs
 Architecture: linux-any
+Built-Using: ${misc:Built-Using}
 Depends: liblxc1t64 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Breaks: lxc (<< 1:4.0.11-1~)
 Replaces: lxc (<< 1:4.0.11-1~)
@@ -136,7 +138,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libpam-runtime,
-         ${lxcfs:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: libpam-cgm

=== debian/tests/control ===
Tests: exercise
Depends: busybox-static,
         debootstrap,
         dirmngr,
         dnsmasq-base,
         file,
         gnupg,
         iptables,
         rsync,
         uidmap,
         xz-utils,
         @
Restrictions: needs-root allow-stderr isolation-machine

Tests: basics-create-destroy
Depends: @, busybox-static
Restrictions: allow-stderr, needs-root, superficial

Tests: no-devel
Depends: lxc-dev
Restrictions: allow-stderr

## lxc 6.0.5

=== Makefile ===
# SPDX-License-Identifier: LGPL-2.1+

.PHONY: all
all: meson
	ninja -C build

.PHONY: meson
meson:
	[ -d build ] || meson setup build/

.PHONY: dist
dist: meson
	meson dist -C build/ --formats=gztar
	cp build/meson-dist/*.tar.gz .

.PHONY: install
install:
	DESTDIR=$(DESTDIR) ninja -C build install

=== debian/changelog ===
lxc (1:6.0.5-2) unstable; urgency=medium

  [ Frost ]
  * Add lxc-net dependency to sysvinit script (Closes: #1122149)

  [ Mathias Gibbens ]
  * Cherry-pick upstream fix for generating
    apparmor.d/abstractions/lxc/container-base (partially addresses #1111087)
  * Cherry-pick upstream fix for restarting unprivileged containers
    (Closes: #1123979)
  * d/control:
    - Update Standards-Version to 4.7.3, drop Priority field
    - No longer Suggest lxc-templates
  * d/t/control:
    - Add missing dependency on sudo (Closes: #983422)
    - Reenable unprivileged-containers test, which passes in qemu backend
    - No longer skip lxc-test-unpriv, which passes in qemu backend

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 26 Dec 2025 18:51:40 +0000

lxc (1:6.0.5-1) unstable; urgency=medium

  * New upstream release:
    - Drop patches applied upstream
    - Update d/copyright to remove files no longer included
  * d/control:
    - Limit Suggesting criu to the architectures where it's available

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 15 Aug 2025 12:36:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: lxc
 Section: admin
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
+Maintainer: pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Evgeni Golov <evgeni@debian.org>,
            Pierre-Elliott Bécue <peb@debian.org>,
@@ -24,7 +22,7 @@
                meson (>= 0.61),
                pkgconf,
                systemd-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://linuxcontainers.org/
 Vcs-Git: https://salsa.debian.org/lxc-team/lxc.git
 Vcs-Browser: https://salsa.debian.org/lxc-team/lxc
@@ -51,9 +49,8 @@
             uidmap,
             wget
 Suggests: btrfs-progs,
-          criu,
+          criu [amd64 arm64 ppc64el s390x],
           lvm2,
-          lxc-templates,
           python3-lxc
 Conflicts: lava-lxc-mocker
 Description: Linux Containers userspace tools

=== debian/tests/control ===
--- 
+++ 
@@ -7,10 +7,15 @@
          gnupg,
          iptables,
          rsync,
+         sudo,
          uidmap,
          xz-utils,
          @
 Restrictions: needs-root allow-stderr isolation-machine
+
+Tests: unprivileged-containers
+Depends: distro-info, uidmap, wget, @
+Restrictions: allow-stderr, isolation-machine, needs-internet
 
 Tests: basics-create-destroy
 Depends: @, busybox-static

## lxc 6.0.6

=== meson_options.txt ===
# -*- mode: meson -*-

# Main options
# was --cgroup-pattern in autotools
option('cgroup-pattern', type: 'string', value: '',
       description: 'CGroup pattern')

# was --coverity-build in autotools
option('coverity-build', type: 'boolean', value: true,
       description: 'build for coverity')

# was --{disable,enable}-examples in autotools
option('examples', type: 'boolean', value: true,
       description: 'build and install examples')

# was --init-script in autotools
option('init-script', type: 'array',
       choices: ['systemd', 'sysvinit', 'openrc'], value: ['systemd'],
       description: 'init script')

# was --systemd-unidir in autotools
# If set to "", the value is taken from the running systemd instance.
option('systemd-unitdir', type: 'string', value: '',
       description: 'systemd system unit directory')

# was --{disable,enable}-liburing in autotools
option('io-uring-event-loop', type: 'boolean', value: false,
       description: 'Enable io-uring based event loop')

# was --{disable,enable}-doc in autotools
option('man', type: 'boolean', value: true,
       description: 'build and install manpages')

# was --{disable,enable}-api-docs in autotools
option('api-docs', type: 'boolean', value: false,
       description: 'build and install API documentation (Doxygen)')

# was --{disable,enable}-pam in autotools
option('pam-cgroup', type: 'boolean', value: false,
       description: 'build and install the pam cgroup module')

# was --{disable,enable}-tools in autotools
option('tools', type: 'boolean', value: true,
       description: 'build and install tools')

option('tools-multicall', type: 'boolean', value: false,
       description: 'build and install busybox style multicall binary')

# was --{disable,enable}-commands in autotools
option('commands', type: 'boolean', value: true,
       description: 'build and install commands')

# was --{disable,enable}-capabilities in autotools
option('capabilities', type: 'boolean', value: true,
       description: 'use capabilities')

# was --{disable,enable}-seccomp in autotools
option('seccomp', type: 'boolean', value: true,
       description: 'use seccomp')

# was --{disable,enable}-apparmor in autotools
option('apparmor', type: 'boolean', value: true,
       description: 'use apparmor')

# was --{disable,enable}-openssl in autotools
option('openssl', type: 'boolean', value: true,
       description: 'use openssl')

# was --{disable,enable}-selinux in autotools
option('selinux', type: 'boolean', value: true,
       description: 'use selinux')

# was --{disable,enable}-tests in autotools
option('tests', type: 'boolean', value: false,
       description: 'build and install tests')

# Paths
# was --apparmor-cache-dir in autotools
option('apparmor-cache-path', type: 'string', value: 'cache/lxc/apparmor',
       description: 'AppArmor cache directory')

# was --with-config-path in autotools
option('data-path', type: 'string', value: 'lib/lxc',
       description: 'Container storage directory')

# was --with-doc-dir in autotools
option('doc-path', type: 'string', value: 'doc/lxc',
       description: 'Documentation directory')

# was --with-global-conf in autotools
option('global-config-path', type: 'string', value: 'lxc',
       description: 'Global configuration directory')

# was --log-path in autotools
option('log-path', type: 'string', value: 'log/lxc',
       description: 'Loging directory')

# was --with-rootfs-path in autotools
option('rootfs-mount-path', type: 'string', value: 'lxc/rootfs',
       description: 'Container rootfs mount directory')

# was --with-runtime-path in autotools
option('runtime-path', type: 'string', value: '/run',
       description: 'Main runtime directory')

# was --with-usernic-conf in autotools
option('usernet-config-path', type: 'string', value: 'lxc/lxc-usernet',
       description: 'User network configuration file path')

# was --with-usernic-db in autotools
option('usernet-db-path', type: 'string', value: 'lxc/nics',
       description: 'User network database file path')

option('oss-fuzz', type: 'boolean', value: false,
       description: 'build against oss-fuzz')

# was --{disable,enable}-thread-safety in autotools
option('thread-safety', type: 'boolean', value: true,
       description: 'whether the build fails when thread-safe logging cannot be guaranteed')

# was --{disable,enable}-memfd-rexec in autotools
option('memfd-rexec', type: 'boolean', value: true,
       description: 'whether to rexec the lxc-attach binary when attaching to a container')

option('distrosysconfdir', type: 'string', value: '',
       description: 'relative path to sysconfdir for distro default configuration')

option('dbus', type: 'boolean', value: true,
       description: 'use dbus')

option('specfile', type: 'boolean', value: true,
       description: 'whether to prepare RPM spec')

option('install-init-files', type: 'boolean', value: true,
       description: 'whether to install init files for local init (e.g. systemd units)')

option('install-state-dirs', type: 'boolean', value: true,
       description: 'whether to create state directories on install')

=== debian/changelog ===
lxc (1:6.0.6-1) unstable; urgency=medium

  [ Mathias Gibbens ]
  * New upstream release (Closes: #1128845)
    - Update lxc-default-with-nesting apparmor profile (Closes: #1111087)
    - Drop patches applied upstream
    - Update d/liblxc1t64.symbols
  * d/control:
    - Drop ${shlibs:Depends} from lxc-dev
  * Update years in d/copyright

  [ Yangfl ]
  * Add Chinese debconf templates translations (Closes: #1124467)

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 02 Mar 2026 18:56:20 +0000

=== debian/control ===
--- 
+++ 
@@ -72,8 +72,7 @@
          libseccomp-dev [!alpha !ia64 !m68k !sh4 !sparc64],
          libselinux-dev,
          lxc (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends}
 Description: Linux Containers userspace tools (development)
  Containers are insulated areas inside a system, which have their own namespace
  for filesystem, network, PID, IPC, CPU and memory allocation and which can be
